##
##  browserify.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2020 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_browserify      17.0.0
%define       V_browserify_snap 20201019

#   package information
Name:         browserify
Summary:      JavaScript CommonJS to AMD Transpiler
URL:          http://browserifyjs.org/
Vendor:       "Cowboy" Ben Alman
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      %{V_browserify}.%{V_browserify_snap}
Release:      20201019

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/browserify/browserify-%{V_browserify}-%{V_browserify_snap}.tar.gz
Source1:      browserify.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    Browserify is a transpiler for JavaScript files from the CommonJS
    (synchronous "require") to Asynchronous Module Definition (AMD)
    style module APIs.

%track
    prog browserify = {
        version   = %{V_browserify}
        url       = https://github.com/substack/node-browserify/releases
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze
    rm -rf node_modules/browserify/node_modules/url/node_modules/punycode/vendor/requirejs/dist/fonts

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/lib/browserify
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE browserify.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/browserify
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/browserify/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

